Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 708402 (tophat) - Review Request: tophat - A spliced read mapper for RNA-Seq
Summary: Review Request: tophat - A spliced read mapper for RNA-Seq
Keywords:
Status: NEW
Alias: tophat
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: SeqAn 1105730
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-05-27 14:48 UTC by Adam Huffman
Modified: 2017-07-19 02:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-05 19:30:00 UTC


Attachments (Terms of Use)

Description Adam Huffman 2011-05-27 14:48:50 UTC
Spec URL: http://verdurin.fedorapeople.org/reviews/tophat/tophat.spec
SRPM URL: http://verdurin.fedorapeople.org/reviews/tophat/tophat-1.2.0-2.fc16.src.rpm
Description: 
TopHat is a fast splice junction mapper for RNA-Seq reads. It aligns
RNA-Seq reads to mammalian-sized genomes using the ultra
high-throughput short read aligner Bowtie, and then analyzes the
mapping results to identify splice junctions between exons.

TopHat is a collaborative effort between the University of Maryland
Center for Bioinformatics and Computational Biology and the University
of California, Berkeley Departments of Mathematics and Molecular and
Cell Biology.

Comment 1 Volker Fröhlich 2011-05-28 14:01:05 UTC
This package bundles an old version of SeqAn (http://www.seqan.de/). Please separately package this library and delete it in the prep section before building then.

Comment 2 Adam Huffman 2011-05-28 23:45:55 UTC
Ugh.  I've made a start on SeqAn and that bundles an old copy of samtools...

Anyway, I'll make a separate review request for that.

Comment 3 Adam Huffman 2011-06-06 11:50:24 UTC
1.3.0 is now out.  It bundles a newer (though still out of date) version of SeqAn.  I'll try contacting the upstream authors about this, though they haven't responded to any of my other queries so far.

http://verdurin.fedorapeople.org/reviews/tophat/tophat.spec

http://verdurin.fedorapeople.org/reviews/tophat/tophat-1.3.0-1.fc16.src.rpm

Comment 4 Adam Huffman 2011-06-28 07:00:00 UTC
New bugfix release:

http://verdurin.fedorapeople.org/reviews/tophat/tophat.spec

http://verdurin.fedorapeople.org/reviews/tophat/tophat-1.3.1-1.fc14.src.rpm

I'll post my SeqAn request shortly.

Comment 5 Adam Huffman 2011-06-28 21:40:35 UTC
SeqAn request is at https://bugzilla.redhat.com/show_bug.cgi?id=717473

Comment 7 Volker Fröhlich 2012-01-08 04:19:52 UTC
SeqAn must still be un-bundled from tophat to finish the review.

Comment 8 Adam Huffman 2012-01-08 11:55:50 UTC
Yes, I'm looking at SeqAn again now.

Comment 9 Adam Huffman 2012-01-30 22:13:10 UTC
Still working on SeqAn.  In the meantime, updated to 1.4.0:

http://verdurin.fedorapeople.org/reviews/tophat/tophat.spec

http://verdurin.fedorapeople.org/reviews/tophat/tophat-1.4.0-1.fc16.src.rpm

Comment 10 Adam Huffman 2012-07-24 07:53:13 UTC
I'll update this in light of the recent 2.0.x releases and submit SeqAn separately.  A pity there's so much bundling in these applications.

Comment 11 Jason Tibbitts 2013-05-05 19:30:00 UTC
Closing since SeqAn was closed WONTFIX.

Comment 12 Dave Love 2015-03-30 12:39:29 UTC
seqan is packaged.  There's a tophat build currently under https://copr.fedoraproject.org/coprs/loveshack/livhpc/build/83875/.  It requires an unbundled tinythread++ from the same copr, which I could submit if it helps this go through.  Unfortunately it can't currently go in EPEL6, due to the boost version required, but it's in the above copr using the boost scl if anyone wants it.

Comment 13 Dave Love 2015-03-30 12:50:46 UTC
(In reply to Dave Love from comment #12)
> Unfortunately it can't currently go in EPEL6,
> due to the boost version required, but it's in the above copr using the
> boost scl if anyone wants it.

Oops, I forgot that seqan is missing from EPEL and won't build in copr, probably due to memory usage.
The srpm does work if you can build your own seqan.

Comment 14 Dave Love 2016-05-13 12:49:30 UTC
For what it's worth, http://www.ccb.jhu.edu/software/tophat/index.shtml now says tophat is "largely superseded".  There's a quick go at hisat2, the replacement, in the above copr; it hasn't been tested, though.


Note You need to log in before you can comment on or make changes to this bug.